declare type SORN = string | number;
interface Address {
    addressComponent: {
        citycode: string;
        adcode: string;
        businessAreas: string[];
        neighborhoodType: string;
        neighborhood: string;
        province: string;
        street: string;
        streetNumber: string;
        township: string;
    };
    crosses: string[];
    formattedAddress: string;
    pois: string[];
    roads: string[];
}
declare const _sfc_main: import("vue").DefineComponent<{
    mapKey: {
        type: StringConstructor;
        required: true;
        default: string;
    };
    mapConfig: {
        type: ObjectConstructor;
        required: false;
        default: () => {
            width: string;
            height: string;
            satellite: boolean;
            zoom: number;
        };
    };
    position: {
        type: ArrayConstructor;
        required: false;
    };
}, {
    props: any;
    emits: {
        (e: 'onCoordChange', value: {
            lng: SORN;
            lat: SORN;
            position: SORN[];
            address: Address;
            formattedAddress: string;
        }): void;
        (e: 'update:position', value: SORN[]): void;
    };
    MapRef: import("vue").ShallowRef<any>;
    AMapRef: import("vue").ShallowRef<any>;
    AutoCompleteRef: import("vue").ShallowRef<any>;
    PlaceSearchRef: import("vue").ShallowRef<any>;
    initLoading: import("vue").Ref<boolean>;
    initCenter: import("vue").Ref<never[]>;
    initMap: () => Promise<void>;
    satellite: import("vue").Ref<boolean | undefined>;
    SatelliteRef: import("vue").ShallowRef<any>;
    position: import("vue").Ref<SORN[]>;
    markerRef: import("vue").ShallowRef<any>;
    mapClick: (e: {
        lnglat: {
            lng: number;
            lat: number;
        };
    }) => void;
    createMarker: (lng: SORN, lat: SORN) => void;
    onMovingMaker: (e: any) => void;
    timer: null;
    address: import("vue").Ref<any>;
    geoCoderRef: import("vue").ShallowRef<any>;
    addressLoading: import("vue").Ref<boolean>;
    getAddress: (lng: SORN, lat: SORN) => void;
    mode: import("vue").Ref<"search" | "result">;
    query: import("vue").Ref<string>;
    tips: import("vue").ShallowRef<{
        value: string;
        label: string;
    }[]>;
    searching: import("vue").Ref<boolean>;
    autoComplete: (searchText: string) => void;
    searchObj: import("vue").ShallowReactive<{
        results: string[];
        total: number;
        pageIndex: number;
        pageSize: number;
    }>;
    search: (clear?: boolean) => void;
    reset: () => void;
    focus: (poi: {
        location: {
            lng: number;
            lat: number;
        };
    }) => void;
    isMobileIphone: import("vue").Ref<boolean>;
    resetMap: (posClear?: boolean) => void;
    destroyMap: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("onCoordChange" | "update:position")[], "onCoordChange" | "update:position", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    mapKey: {
        type: StringConstructor;
        required: true;
        default: string;
    };
    mapConfig: {
        type: ObjectConstructor;
        required: false;
        default: () => {
            width: string;
            height: string;
            satellite: boolean;
            zoom: number;
        };
    };
    position: {
        type: ArrayConstructor;
        required: false;
    };
}>> & {
    onOnCoordChange?: ((...args: any[]) => any) | undefined;
    "onUpdate:position"?: ((...args: any[]) => any) | undefined;
}, {
    mapKey: string;
    mapConfig: Record<string, any>;
}>;
export default _sfc_main;
